//
//  XGLMotivator.h
//  xGL2
//
//  Created by mantis on 7/08/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "vectorLib.h"

@interface XGLMotivator : NSObject {
	
	bool isAnimated;
	
	vector linearVelocity;
	vector angularVelocity;
	
	//vector gravity;
	//float drag;
}

/*
 -(void)setGravity: (float)x: (float)y: (float)z;
 -(void)setDrag: (float)dragCoefficient;
 */

-(void)animate;

-(bool)isAnimated;
-(void)setAnimated:(bool)yesNo;


//linearVelocity KVC
-(float)lvX;
-(float)lvY;
-(float)lvZ;

-(void)setLvX:(float)newPos;
-(void)setLvY:(float)newPos;
-(void)setLvZ:(float)newPos;

	//angularVelocity KVC
-(float)avX;
-(float)avY;
-(float)avZ;

-(void)setAvX:(float)newPos;
-(void)setAvY:(float)newPos;
-(void)setAvZ:(float)newPos;

//
-(vector)linearVelocity;
-(vector)angularVelocity;

-(void)setLinearVelocity:(vector)aVector;
-(void)setAngularVelocity:(vector)aVector;

-(void)applyImpulse:(float)x :(float)y :(float)z;
-(void)applyImpulseByVector:(vector)aVector;

-(void)applyAngularImpulse:(float)x :(float)y :(float)z;
-(void)applyAngularImpulseByVector:(vector)aVector;


@end
